package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// AppletApplicationList
// @Summary    	 列表数据
// @Tags         小程序应用------嘉俊
// @Description  小程序应用-列表数据
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationListReq   true   "请求参数"
// @Success      200   {object}		md.AppletApplicationListRes     "具体看返回内容---这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/application/applet/list [POST]
func AppletApplicationList(c *gin.Context) {
	svc.AppletApplicationList(c)
}

// AppletApplicationSave
// @Summary    	 新增或保存
// @Tags         小程序应用------嘉俊
// @Description  小程序应用-新增或保存
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationSaveReq   true   "请求参数"
// @Success      200   {string}		    "具体看返回内容"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/application/applet/save [POST]
func AppletApplicationSave(c *gin.Context) {
	svc.AppletApplicationSave(c)
}
